import unit4.collectionsLib.Map;

/**
 *   2  11 
 * ====================
 *       ,         
 *
 * @author   ,   ,  , 
 * @version 19/11/2007
 */
public class PhoneBook
{
	private Map<String> pbook;
	
	public PhoneBook()
	{
		this.pbook = new Map<String>();
	}
	
	public String getPhone(String name)
	{
		return this.pbook.getValue(name);
	}
	
	public void addContact(String name, String phone)
	{	
		this.pbook.insert(name,phone);
	}
	
	public void delContact(String name)
	{
		this.pbook.remove(name);
	}	
	
	public String[] getAllContactsNames()
	{
		return this.pbook.getAllKeys();
	}
	
	public String toString()
	{
		String str = "";
		String[] names = this.pbook.getAllKeys();

		for (int i = 0; i < names.length; i++)
			str = str + String.format("%-20s %-10s",names[i],getPhone(names[i])) + "\n";
		
		return str;
	}
}